
Website Monitoring - Feature #2153

Add executive summary

11/14/2017 08:54 PM - Luke Murphey

Status: Closed Start date: 11/14/2017

Priority: High Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.7   

Description

Add executive summary that shows sites that are currently down, up and with warnings.

Could use a search like this:

sourcetype="web_ping" `website_monitoring_search_index`

| fillnull response_code value="Connection failed" 

| eval response_code=if(response_code="", "Connection failed", response_code)

| eval response_code=if(timed_out == "True", "Connection timed out", response_code)

| fillnull has_expected_string value="" 

| stats avg(total_time) as avg_response_time max(total_time) as max_response_time latest(response_

code) as response_code latest(has_expected_string) as has_expected_string latest(_time) as last_ch

ecked latest(total_time) as response_time by source

| eval response_time=if(has_expected_string=="false", 100000, response_time)

| eval warning_threshold = 1000

| eval status=case(response_time > `response_time_threshold`, "ERROR", response_time > warning_thr

eshold, "WARNING", true(), "OK")

| stats count(source) by status

Associated revisions

Revision 396 - 12/28/2017 07:24 AM - lukemurphey

Adding executive summary dashboard

Reference #2153

History

#1 - 11/14/2017 08:55 PM - Luke Murphey

- Subject changed from Add executize summary to Add executive summary

#2 - 11/14/2017 08:58 PM - Luke Murphey

Perhaps something like: https://cdn.apps.splunk.com/media/public/screenshots/7f6bf39c-9f98-11e6-adcd-064a37f1a5b3.png

#4 - 12/08/2017 06:35 PM - Luke Murphey

- Priority changed from Normal to Low

#5 - 12/08/2017 06:35 PM - Luke Murphey

- Priority changed from Low to High

#6 - 12/28/2017 07:25 AM - Luke Murphey

- % Done changed from 0 to 80

#7 - 12/29/2017 07:13 AM - Luke Murphey

04/18/2024 1/2

https://cdn.apps.splunk.com/media/public/screenshots/7f6bf39c-9f98-11e6-adcd-064a37f1a5b3.png


- Status changed from New to Closed

- % Done changed from 80 to 100
